
#ifndef PLS_PARALLEL_SCAN_H_
#define PLS_PARALLEL_SCAN_H_

namespace pls {
namespace algorithm {

template<typename InIter, typename OutIter, typename BinaryOp, typename Type>
void parallel_scan(InIter in_start, const InIter in_end, OutIter out, BinaryOp op, Type neutral_elem);

}
}
#include "parallel_scan_impl.h"

#endif //PLS_PARALLEL_SCAN_H_
